#include <iostream>
#include <iomanip>
#include <string>
#include <vector>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <queue>
#include <deque>
#include <algorithm>
using namespace std;

#define ll long long 

int main() {
    ios_base::sync_with_stdio();
    cin.tie(0), cout.tie(0);
    ll tt;
    cin>>tt;
    for(ll ij=0;ij<tt;ij++){
        ll n,m;
        cin>>n>>m;
        multiset<ll>st;
        for(ll i=0 ;i < n;i++){
            st.insert(0);
        }
        for(ll i=0;i<m;i++){
            ll mn=*st.begin();
            ll mx=*st.rbegin();
            ll x;
            cin>>x;
            st.erase(st.find(mn));
            st.insert(-mn + x);
        }
        ll ans=0;
        for(auto el:st){
            ans+=el;
        }
        cout<<ans<<endl;
    }
}